Subject: Re: bug#13815: Wrong mode for files with awkward shebang lines

From: Glenn Morris <[email-masked]>
Date: Mon, 23 Aug 2021 11:06:41 -0400

FTR, this issue would be fixed if auto-mode-alist took priority over
interpreter-mode-alist. That's how it was before Emacs 22.1.
I've never seen an explanation for why it was changed (ref bug#3354).